image: texlive/texlive

stages:
  - build

Typeset documentation:
  stage: build
  tags:
    - shared-fi
  before_script:
    - xetex mubeamer.ins
  script:
    - latexmk mubeamer.dtx
  artifacts:
    paths:
      - mubeamer.pdf
    expire_in: 1 week

Typeset example documents:
  stage: build
  tags:
    - shared-fi
  before_script:
    - xetex mubeamer.ins
    - mkdir -p ~/texmf/tex/latex/mubeamer/
    - cp -r beamerthemeMU.sty logo/ label/ patch/ ~/texmf/tex/latex/mubeamer/
    - cd example
    - xetex example.ins
  script:
    - ls *.tex | grep -v -- - | xargs -n 1 sh -c 'latexmk -pdflatex -silent $0 || exit 255'
    - ls *-xetex-luatex.tex   | xargs -n 1 sh -c 'latexmk -lualatex -silent $0 || exit 255'
  artifacts:
    paths:
      - example/*.pdf
    expire_in: 1 week

pages:
  stage: build
  tags:
    - shared-fi
  before_script:
    - apt-get -qy update
    - apt-get -qy install zip fontforge ttfautohint
  script:
    - ./build.sh
    - make -C public
    - make -C public/style
    - echo "The site will be deployed to $CI_PAGES_URL"
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
